View Issue Details

IDProjectCategoryView StatusLast Update
0000012Gorilla3D[All Projects] Bug Reportspublic2020-01-20 08:13
ReporteradministratorAssigned Toadministrator 
PriorityhighSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.8.1.x 
Target Version0.8.1.xFixed in Version0.8.1.x 
Summary0000012: Transparency Problems (f.e. TTextLayer3D transparency artifacts)
DescriptionUsing a TTextLayer3D in FMX leads to problems with transparency when overlaying multiple objecs.
Additional InformationIn general FMX uses a simple (and bad) sorting algorithm for rendering transparent objects.
With 0.8.1 we implemented Weighted-Blended-Order-Independent-Transparency rendering in Gorilla3D.
This lead to a massive refactoring inside the rendering pipeline.
We had to implement a pre-version of deferred rendering more early, than we expected.
At the moment rendering without render-passes works. In next days we'll fix render-pass handling and getting ready for release.
TagsNo tags attached.
Delphi-Version
OpenGLVersionOpenGL 4.6

Activities

administrator

2020-01-20 08:13

administrator   ~0000046

Rendering pipeline for Windows and Android GLES v3+ was fixed to support WBOIT (Weighted Blended Order-Independent Transparency)
There is still a bug on using WBOIT in render passes like reflection and refraction (not rendered correctly)

Issue History

Date Modified Username Field Change
2019-09-16 06:59 administrator New Issue
2019-09-16 06:59 administrator Status new => assigned
2019-09-16 06:59 administrator Assigned To => administrator
2019-09-27 18:17 administrator Product Version 0.8.0.2000 => 0.8.1.x
2019-09-27 18:17 administrator Target Version 0.8.0.2000 => 0.8.1.x
2019-12-19 13:26 administrator Summary TTextLayer3D transparency bug => Transparency Problems (f.e. TTextLayer3D transparency artifacts)
2019-12-19 13:26 administrator Additional Information Updated View Revisions
2019-12-19 13:26 administrator OpenGLVersion => OpenGL 4.6
2020-01-20 08:13 administrator Status assigned => resolved
2020-01-20 08:13 administrator Resolution open => fixed
2020-01-20 08:13 administrator Fixed in Version => 0.8.1.x
2020-01-20 08:13 administrator Note Added: 0000046